{
  "name": "@next-graphql-sandbox/api",
  "description": "",
  "version": "0.1.0",
  "author": "",
  "license": "ISC",
  "private": true,
  "files": [
    "dist"
  ],
  "scripts": {
    "clean": "tsc -b --clean tsconfig.build.json && shx rm -Rf dist coverage src/generated",
    "prebuild": "graphql-codegen && prisma generate && shx mkdir -p dist && shx cp -r src/graphql dist/. && shx cp -r prisma dist/.",
    "build": "tsc -b tsconfig.build.json",
    "lint": "eslint --ignore-path .gitignore .",
    "lint:fix": "eslint --ignore-path .gitignore . --fix && prettier --ignore-path .gitignore --loglevel warn --write .",
    "prisma:db": "prisma db push && prisma db seed",
    "pretest": "npm run prisma:db",
    "test": "jest",
    "coverage": "jest --collectCoverage",
    "predev": "npm run prisma:db",
    "dev": "ts-node-dev --no-notify --respawn --transpile-only src/server.ts",
    "dev:docker": "ts-node-dev --inspect=0.0.0.0:9229 --no-notify --respawn --transpile-only src/server.ts"
  },
  "dependencies": {
    "@casl/ability": "^6.3.3",
    "@casl/prisma": "^1.3.3",
    "@devoxa/prisma-relay-cursor-connection": "^2.2.2",
    "@elastic/elasticsearch": "^8.5.0",
    "@graphql-tools/graphql-file-loader": "^7.5.13",
    "@graphql-tools/load": "^7.8.8",
    "@graphql-tools/schema": "^9.0.12",
    "@next-graphql-sandbox/core": "*",
    "@prisma/client": "^4.8.0",
    "apollo-server-express": "^3.11.1",
    "apollo-server-plugin-base": "^3.7.1",
    "cookie": "^0.5.0",
    "cors": "^2.8.5",
    "express": "^4.18.2",
    "graphql": "^16.6.0",
    "graphql-constraint-directive": "^4.1.2",
    "graphql-scalars": "^1.20.1",
    "ioredis": "^5.2.4",
    "jsonwebtoken": "^9.0.0",
    "prisma": "^4.8.0"
  },
  "devDependencies": {
    "@graphql-codegen/cli": "^2.16.2",
    "@graphql-codegen/typescript": "^2.8.6",
    "@graphql-codegen/typescript-graphql-request": "^4.5.8",
    "@graphql-codegen/typescript-operations": "^2.5.11",
    "@graphql-codegen/typescript-resolvers": "^2.7.11",
    "@jest/types": "^29.3.1",
    "@types/bcryptjs": "^2.4.2",
    "@types/chance": "^1.1.3",
    "@types/cookie": "^0.5.1",
    "@types/express": "^4.17.15",
    "@types/jest": "^29.2.5",
    "@typescript-eslint/eslint-plugin": "^5.48.0",
    "@typescript-eslint/parser": "^5.48.0",
    "chance": "^1.1.9",
    "eslint": "^8.31.0",
    "eslint-config-prettier": "^8.6.0",
    "eslint-plugin-import": "^2.26.0",
    "eslint-plugin-unused-imports": "^2.0.0",
    "graphql-request": "^5.1.0",
    "prettier": "^2.8.1",
    "shx": "^0.3.4",
    "ts-jest": "^29.0.3",
    "ts-node": "^10.9.1",
    "ts-node-dev": "^2.0.0",
    "typescript": "^4.9.4"
  },
  "workspaces": [
    "../../packages/*"
  ],
  "eslintConfig": {
    "root": true,
    "extends": "../../packages/core/.eslintrc.yml"
  },
  "prisma": {
    "seed": "ts-node src/seed.ts"
  }
}
